

To use D-Link DE-400 UNIX driver on Interactive UNIX,
please follow with the procedures listed:

1.  Copy D-Link drivers files from diskette to /usr/dlk:

    mkdir /usr/dlk
    dossette
    get -a dlk /usr/dlk/dlk4
    get -a tcp /usr/dlk/tcp
    get -a readme.doc /usr/dlk/tcp
    get -b de400.o /usr/dlk/de400.o
    <Ctrl>+<D>

2.  Installation of TCP/IP package:

    sysadm installpkg
    Do not configure hardware at this moment and do not rebuild the Kernel !!

3.  Saving original WD-Drivers:

    mkdir /usr/dlk/save
    mv /etc/conf/pack.d/wd/* /usr/dlk/save

4.  Creating D-Link's space.c file:

    vi /etc/conf/pack.d/wd/space.c
    <i><Enter>
    unsigned long DLKbase=0xd0000;
    <Esc><:><x><Enter>

5.  Copying the correct Driver.o file:

    cp /usr/dlk/de400.o /etc/conf/pack.d/wd/Drvier.o

6.  Correcting sdevice and mdevice entries:

    edit /etc/conf/sdevice.d/wd         first it looks like:
    wd    N    32    5    3    3    280    29f    d000    d1fff
    but after editing it should look like:
    wd    Y    32    5    1    5     1000    1ca0         d0000    d3fff
                              IRQ  I/O Addr(Start/end)  Base memory (Start/End)
    edit /etc/conf/cf.d/mdevice and look for the line:
    wd    I    iSHOco    wd    0    31    1    32    -1
    you've to change to
    wd    I    iSch      dlk   0    31    1    32    -1

    Note :
           IRQ : 5 or 9

           I/O start   I/O end    slot
           ===============================
            1000        1ca0       1
            2000        2ca0       2
             :           :         :
             :           :         :
            F000        fca0       F

7.  After that you can run:

    sysadm
    packagemgmt
    tcpipmgmt
    hbtcpmgmt
    wd
    yes yes yes
    Kernel build y/n: yes
