#include "sys/types.h"

#include "sys/stream.h"

#include "sys/socket.h"

#include "/etc/conf/cf.d/config.h"



/* interrupt level per board  */

#if defined(D40E3_UNITS)

#define ND40EUNIT (D40E3_UNITS+D40E2_UNITS+D40E1_UNITS+D40E_UNITS)

ulong de400intl[ND40EUNIT] =

        { D40E_0_VECT,D40E1_0_VECT,D40E2_0_VECT,D40E3_0_VECT };

ulong de400ioaddr[ND40EUNIT] =

        { D40E_0_SIOA,D40E1_0_SIOA,D40E2_0_SIOA,D40E3_0_SIOA };

#elif defined(D40E2_UNITS)

#define ND40EUNIT (D40E2_UNITS+D40E1_UNITS+D40E_UNITS)

ulong de400intl[ND40EUNIT] =

        { D40E_0_VECT,D40E1_0_VECT,D40E2_0_VECT };

ulong de400ioaddr[ND40EUNIT] =

        { D40E_0_SIOA,D40E1_0_SIOA,D40E2_0_SIOA };

#elif defined(D40E1_UNITS)

#define ND40EUNIT (D40E1_UNITS+D40E_UNITS)

ulong de400intl[ND40EUNIT] = { D40E_0_VECT,D40E1_0_VECT };

ulong de400ioaddr[ND40EUNIT] = { D40E_0_SIOA,D40E1_0_SIOA };

#elif defined(D40E_UNITS)

#define ND40EUNIT D40E_UNITS

ulong de400intl[ND40EUNIT] = { D40E_0_VECT };

ulong de400ioaddr[ND40EUNIT] = { D40E_0_SIOA };

#endif



ulong DE400_BOARDS = ND40EUNIT;

