#include "sys/types.h"
#include "sys/stream.h"
#include "sys/socket.h"
#include "/etc/conf/cf.d/config.h"



/* interrupt level per board  */
#define ND40EUNIT D40E_CNTLS

#if defined(D40E_3)
/*
#define ND40EUNIT (D40E3_UNITS+D40E2_UNITS+D40E1_UNITS+D40E_UNITS)
*/

ulong de400intl[ND40EUNIT] =

        { D40E_0_VECT,D40E_1_VECT,D40E_2_VECT,D40E_3_VECT };

ulong de400ioaddr[ND40EUNIT] =

        { D40E_0_SIOA,D40E_1_SIOA,D40E_2_SIOA,D40E_3_SIOA };

#elif defined(D40E_2)
/*
#define ND40EUNIT (D40E2_UNITS+D40E1_UNITS+D40E_UNITS)
*/
ulong de400intl[ND40EUNIT] =

        { D40E_0_VECT,D40E_1_VECT,D40E_2_VECT };

ulong de400ioaddr[ND40EUNIT] =

        { D40E_0_SIOA,D40E_1_SIOA,D40E_2_SIOA };

#elif defined(D40E_1)
/*
#define ND40EUNIT (D40E1_UNITS+D40E_UNITS)
*/
ulong de400intl[ND40EUNIT] = { D40E_0_VECT,D40E_1_VECT };

ulong de400ioaddr[ND40EUNIT] = { D40E_0_SIOA,D40E_1_SIOA };

#elif defined(D40E_0)
/*
#define ND40EUNIT D40E_UNITS
*/
ulong de400intl[ND40EUNIT] = { D40E_0_VECT };

ulong de400ioaddr[ND40EUNIT] = { D40E_0_SIOA };

#endif



ulong DE400_BOARDS = ND40EUNIT;

